document_id
stringlengths
8
12
document
stringlengths
50
3.21k
split
stringclasses
1 value
d_bash_2800
--- +++ @@ -9,25 +9,21 @@ read PW_RINFO fi -EXIT_STATUS=0 - -function exit_on_error -{ -if [ $EXIT_STATUS -ne 0 ];then - echo "$1 returned $EXIT_STATUS! Exiting!" - exit $EXIT_STATUS -fi -} - - # Test Admin fab -p $PW_RINFO target.regression -R admin app.admin.testAll EXIT_STATUS=$? -exit_on_error "Admin...
bash
d_bash_2801
--- +++ @@ -20,5 +20,5 @@ # Build the binary, then # add in the static components with NRSC, then # launch the binary in the background -go build -race -o /tmp/${PWD##*/}-main.osx *.go && ./nrsc-script /tmp/${PWD##*/}-main.osx "static templates" -q && /tmp/${PWD##*/}-main.osx & +go build -o /tmp/${PWD##*/}-main.os...
bash
d_bash_2802
--- +++ @@ -6,11 +6,10 @@ if [ -s "$_file" ] then - echo "$_file : Non empty diff" + echo "$_file : Failed test : Non empty diff" tail -vn +1 build/diff* >> diff_results/$_target rm build/diff* - # do something as file has data else + rm build/diff* echo "$_file : Passed test" - # do som...
bash
d_bash_2803
--- +++ @@ -5,7 +5,7 @@ #### Main fetch data process ############################################################################### -time timeout 15m npm start +time timeout 10m npm start ############################################################################### #### Adapters that consume lot memory and...
bash
d_bash_2804
--- +++ @@ -1,4 +1,4 @@ -declare -a projects=("topDown" "actionRpg" "sdkTest") +declare -a projects=("topDown" "actionRpg" "sdkTest", "doubleShoot") #wd=`pwd` #echo "export DEVKITPRO=$wd/devkitpro" >> ~/.bashrc
bash
d_bash_2805
--- +++ @@ -16,9 +16,9 @@ # limitations under the License. if [[ $OSTYPE == "cygwin" ]] ; then - OPTIONSFILE="jetty-options.env.win" + OPTIONSFILE="combined-options.env.win" else - OPTIONSFILE="jetty-options.env.unix" + OPTIONSFILE="combined-options.env.unix" fi #Make sure environment variables a...
bash
d_bash_2806
--- +++ @@ -22,6 +22,14 @@ fi # Install homebrew packages -brew install grc coreutils spark +brew install grc coreutils + +# Install homebrew cask and OS X apps +if test "$(uname)" = "Darwin" +then + brew install caskroom/cask/brew-cask + + brew cask install google-chrome spotify +fi exit 0
bash
d_bash_2807
--- +++ @@ -2,6 +2,9 @@ # Update HTMLs using 'archive.zip' downloaded by GTT +if [ -n "$GTT_DOWNLOADER" ]; then + bundle exec gtt-downloader +fi ruby allocate.rb rm -rf output/ja bundle exec rake guides:generate:html GUIDES_LANGUAGE=ja
bash
d_bash_2808
--- +++ @@ -1,5 +1,5 @@ #!/bin/bash set -e -version="19.03.12" +version="19.03.13" echo "https://download.docker.com/linux/static/stable/x86_64/docker-$version.tgz";
bash
d_bash_2809
--- +++ @@ -31,4 +31,4 @@ git -C $DOCDIR config user.name "Travis" git -C $DOCDIR add . git -C $DOCDIR commit --allow-empty -m "Travis build $TRAVIS_BUILD_NUMBER pushed docs to gh-pages" -git -C $DOCDIR push origin gh-pages &2>1 > /dev/null +git -C $DOCDIR push origin gh-pages 2>&1 > /dev/null
bash
d_bash_2810
--- +++ @@ -1,9 +1,8 @@ # A script for setting up broken Lua rocks for travis-ci testing for Lua 5.3. if [ "$LUA" == "Lua 5.3" ]; then - git clone https://github.com/mpeterv/say + git clone https://github.com/Olivine-Labs/say cd say - git checkout lua-53-compat sudo luarocks make say-1.2-1.rockspec c...
bash
d_bash_2811
--- +++ @@ -9,5 +9,9 @@ cmake mapserver-6.4.0 -DWITH_KML=1 -DWITH_PHP=1 -DWITH_FCGI=0 make sudo make install -mapserv -v -sudo service apache2 restart + +echo "---> Download map files" +mkdir lib/mapserver/maps/10m_cultural/10m_cultural/ +wget http://www.naturalearthdata.com/http//www.naturalearthdata.com/download...
bash
d_bash_2812
--- +++ @@ -15,5 +15,11 @@ ./waf -j1 install popd +PLUGINS_WITHOUT_GUI="gx_aclipper.lv2 gx_alembic.lv2 gx_bmp.lv2 gx_bossds1.lv2 gx_mxrdist.lv2 gx_slowgear.lv2 gxtape.lv2 gxtape_st.lv2 gx_vibe.lv2 gx_w20.lv2 gxtuner.lv2" + +for i in ${PLUGINS_WITHOUT_GUI}; do + rm -r ${LV2_ABS_DIR}/$i +done + rm -r ${TMP_DIR}
bash
d_bash_2813
--- +++ @@ -1,7 +1,7 @@ -#!/usr/bin/env bash +#!/bin/sh set -ex go version -go test -short ./... +go test -short -vet=all ./...
bash
d_bash_2814
--- +++ @@ -7,7 +7,7 @@ DOTFILES=".aliases .bash_prompt .dircolors .bashrc .vimrc .gitconfig" -# Install dotfiles in $HOME directory +# Create symlinks to dotfiles in $HOME directory use() { file="$1" # Check if file already existed. If yes, then prompt user whether to @@ -23,7 +23,7 @@ e...
bash
d_bash_2815
--- +++ @@ -18,13 +18,16 @@ fi python ../../find-bug.py example_10.v bug_10.v -Q . "" || exit $? -EXPECTED='^(\* File reduced by coq-bug-finder from original input, then from [0-9]\+ lines to [0-9]\+ lines, then from [0-9]\+ lines to [0-9]\+ lines, then from [0-9]\+ lines to [0-9]\+ lines \*)$' +EXPECTED='(\* Fil...
bash
d_bash_2816
--- +++ @@ -24,10 +24,20 @@ set -e echo "FLAKE8 tests" +echo "~~~~~~~~~~~~" find . -iname "*.py" | grep -v .tox | xargs flake8 +FLAKE8_ERRORS=$? +echo + +echo "BASH8 tests" +echo "~~~~~~~~~~~" +find . -name "*.sh" | grep -v '\.tox' | xargs bash8 +BASH8_ERRORS=$? echo echo "Cauth tests" -cd tools/cauth -tox -...
bash
d_bash_2817
--- +++ @@ -3,14 +3,14 @@ set -x sudo apt update -sudo apt install -y zsh meld build-essential git vim silversearch-ag libelf-dev dkms curl +sudo apt install -y zsh meld build-essential git vim silversearcher-ag libelf-dev dkms curl cp -i vimrc ~/.vimrc -cp -i -r vim ~/.vim +cp -i -r vim ~/.vim/ cp -i zshrc ~...
bash
d_bash_2818
--- +++ @@ -1,6 +1,6 @@ #! /usr/bin/env bash -echo $AWS_BUCKET +npm rebuild echo ">> Starting server..."
bash
d_bash_2819
--- +++ @@ -1,7 +1,9 @@ #!/bin/sh +BRANCH=`git rev-parse --abbrev-ref HEAD` + BASE=`pwd` -echo "----- ${PWD} -----" +echo "----- ${PWD}:${BRANCH} -----" git pull REPOS=`find * -type d -name .git` @@ -10,6 +12,10 @@ echo "----- ${REPO} -----" cd ${BASE}/${REPO} + REPO_BRANCH=`git rev-parse --abbrev-ref H...
bash
d_bash_2820
--- +++ @@ -1,7 +1,19 @@ l=`pacaur -Qi linux | sed -n 's/^Version \+: //p'` r=`pacaur -Si linux | sed -n 's/^Version \+: //p'` c=`vercmp "$l" "$r"` -if test x"$c" = x-1; then - echo "Linux kernel is outdated, please update!" 1>&2 - exit 0 -fi +echo "Checking kernel version…" 1>&2 +case $c in + -1) + echo "$l...
bash
d_bash_2821
--- +++ @@ -1 +1,2 @@ -git subtree pull --prefix=coreos-vagrant https://github.com/coreos/coreos-vagrant master +git ls-remote https://github.com/coreos/coreos-vagrant master \ + | awk '{ system( "git subtree pull --message=\"Subtree merge of coreos/coreos-vagrant@" $1 "\" --prefix=coreos-vagrant https://github.com/...
bash
d_bash_2822
--- +++ @@ -1,4 +1,6 @@ #!/bin/bash -ex + +cd "$(dirname "${BASH_SOURCE[0]}")" nodes=($(docker-machine ls -q | grep hyperquick))
bash
d_bash_2823
--- +++ @@ -7,20 +7,15 @@ # Add clang OpenMP runtime library to LD_LIBRARY_PATH export LD_LIBRARY_PATH=/usr/local/lib:$LD_LIBRARY_PATH -SANITIZER=$1 -if [ "$SANITIZER" == "undefined_sanitizer" ] - then FLAGS="-fsanitize=address -fsanitize=undefined -fsanitize-blacklist=/scratch/source/trilinos/release/DataTransf...
bash
d_bash_2824
--- +++ @@ -9,7 +9,7 @@ docker build -t $2 --no-cache -f Dockerfile . # Start container -docker run -d -P --name $2 $3 +docker run -d -P --name $3 $2 # Wait for the container sleep 10
bash
d_bash_2825
--- +++ @@ -15,5 +15,7 @@ done done luacov +cp -v luacov.report.out ../ +cd .. bash <(curl -s https://codecov.io/bash)
bash
d_bash_2826
--- +++ @@ -12,7 +12,7 @@ echo "https://github.com/adoptium/temurin17-binaries/releases/download/jdk-17.0.2%2B8/OpenJDK17U-jdk_x64_linux_hotspot_17.0.2_8.tar.gz" ;; java18) - echo "https://github.com/adoptium/temurin18-binaries/releases/download/jdk18-2022-03-10-06-10-beta/OpenJDK18-jdk_x64_linux_hotspot_20...
bash
d_bash_2827
--- +++ @@ -1,4 +1,4 @@ -alias ann="annotate -mi -p before" +alias ann="be annotate -mi -p before" alias b='bundle' alias be='bundle exec' alias bec='bundle exec rails c'
bash
d_bash_2828
--- +++ @@ -3,6 +3,9 @@ export BYOBU_PREFIX export ANDROID_HOME='/Users/randall/Library/Android/sdk' +export ANDROID_SDK="/Users/randall/Library/Android/sdk/tools/" +export ANDROID_SDK_PLATFORM="/Users/randall/Library/Android/sdk/platform-tools/" +export PATH="$PATH:$ANDROID_HOME:$ANDROID_SDK:$ANDROID_SDK_PLATFOR...
bash
d_bash_2829
--- +++ @@ -7,10 +7,10 @@ exit 1 fi -STAGE=$( echo $1 | awk '{ print tolower($0) }' ) +export STAGE=$( echo $1 | awk '{ print tolower($0) }' ) IFS=$'\n' -for HOSTNAME_PATH in $(jq -r ".${STAGE}[] | \"\(.hostname) \(.path)\"" vars/ip_whitelist_routes.json); do +for HOSTNAME_PATH in $(jq -r '.[env.STAGE][] |...
bash
d_bash_2830
--- +++ @@ -13,7 +13,7 @@ printf "== Begin: execute tests\n" -make setup-develop +make versions setup-develop make versions test VERSION=${version} printf "== End: execute tests\n"
bash
d_bash_2831
--- +++ @@ -1,3 +1,4 @@ #!/usr/bin/env bash -gulp package --env=production && electron-packager . Zazu --platform=darwin --arch=x64 --version=0.37.3 --overwrite +gulp package --env=production && electron-packager . Zazu --platform=darwin --arch=x64 --version=0.37.3 --overwrite \ + --ignore="^/node_modules/(?!(e...
bash
d_bash_2832
--- +++ @@ -1,6 +1,6 @@ ## Load smart urls if available for d in $fpath; do - if [[ -e "$d/url-quote-magic"]]; then + if [[ -e "$d/url-quote-magic" ]]; then autoload -U url-quote-magic zle -N self-insert url-quote-magic fi
bash
d_bash_2833
--- +++ @@ -24,7 +24,7 @@ git add -f doc/ - if [ -n $(git status --porcelain A) ]; then + if [ -n $(git status --untracked-files=no --porcelain) ]; then git commit -m "Lastest ocamldoc on successful travis build $TRAVIS_BUILD_NUMBER auto-pushed to gh-pages" git push -fq origin gh-pages fi
bash
d_bash_2834
--- +++ @@ -10,7 +10,6 @@ --warning_level VERBOSE \ --jscomp_error='*' \ --jscomp_off=strictMissingRequire \ - --jscomp_off=inferredConstCheck \ --jscomp_off=extraRequire \ --jscomp_off=deprecated \ --jscomp_off=lintChecks \
bash
d_bash_2835
--- +++ @@ -8,10 +8,18 @@ RPM_PATH=rpm/dsme.spec RPM_VERS=$(grep '^Version:' $RPM_PATH |sed -e 's/^.*:[[:space:]]*//') +YAML_PATH=rpm/dsme.yaml +YAML_VERS=$(grep '^Version:' $YAML_PATH |sed -e 's/^.*:[[:space:]]*//') + RES=0 if [ "$RPM_VERS" != "$AC_VERS" ]; then echo >&2 "$AC_PATH $AC_VERS vs $RPM_PATH $R...
bash
d_bash_2836
--- +++ @@ -1,9 +1,9 @@ #!/bin/bash set -e echo "Fetching episode list" -url="http://www.southpark.de/feeds/carousel/video/e3748950-6c2a-4201-8e45-89e255c06df1/30/1/json/!airdate/staffel-$1" -episodes=$(curl "$url" | grep '"default":' | - sed -e 's/^.*default.*:.*"http/http/g' -e 's/" *, *$//g') +url='ht...
bash
d_bash_2837
--- +++ @@ -3,7 +3,7 @@ case "$1" in java8) - echo "https://github.com/adoptium/temurin8-binaries/releases/download/jdk8u312-b07/OpenJDK8U-jdk_x64_linux_hotspot_8u312b07.tar.gz" + echo "https://github.com/adoptium/temurin8-binaries/releases/download/jdk8u322-b06/OpenJDK8U-jdk_x64_linux_hotspot_8u322b06.tar.g...
bash
d_bash_2838
--- +++ @@ -17,6 +17,7 @@ EMAIL_TEMPLATE_ID SMS_TEMPLATE_ID LETTER_TEMPLATE_ID + EMAIL_REPLY_TO_ID ) for env_var in "${env_vars[@]}"; do
bash
d_bash_2839
--- +++ @@ -8,6 +8,8 @@ echo "Created Operation Manager Tables"; mysql -u$1 --password=$2 thinkbig < $MY_DIR/schema-batch-thinkbig-indexes.sql echo "Created Operation Manager Indexes"; +mysql -u$1 --password=$2 thinkbig < $MY_DIR/stored_procedures/delete_feed_jobs.sql +echo "Created stored procedures" mysql -u$...
bash
d_bash_2840
--- +++ @@ -3,5 +3,5 @@ # TODO Exclude Black | Lahu | translation from file somehow perl -ne 'next if /segnum/;s/\r//; print "\n" if /<\/morph>/; chomp; if (/(txt|gls|msa)/) {s/^.*?lang=\"(?:en|lhu)\">(.*)<\/item>.*$/\1/;print ; print "\t";}' lahutexts.xml | grep -v segnum > elements.csv -perl -ne 'next if /segnu...
bash
d_bash_2841
--- +++ @@ -8,7 +8,7 @@ cd command-t cd ruby/command-t -ruby extconfig.rb +ruby extconf.rb make cd ../..
bash
d_bash_2842
--- +++ @@ -13,16 +13,15 @@ # Required JVM arguments for djigger DJIGGER_OPTS=("-Dlogback.configurationFile=${DJIGGER_CONFDIR}/logback-client.xml") -# Custom JVM arguments can be set by exporting JAVA_OPTS in your profile - +# For the direct attach feature the JDK home must be defined so we can properly add tools...
bash
d_bash_2843
--- +++ @@ -30,7 +30,7 @@ cd ../ bundle exec fpm -s dir -t deb \ - -n stat-update -v 1.0.0 --iteration 1 \ + -n stat-update -v 1.1.0 --iteration 1 \ -C tmp \ .
bash
d_bash_2844
--- +++ @@ -35,7 +35,7 @@ $file =~ s/\.s$/.c/; } - $_ = "$pwd/$file:$lineno:0: Error: $unresolvedRefError"; + $_ = "$pwd/$file:$lineno:0: error: $unresolvedRefError"; } else { $unresolvedRefError = undef; } @@ -49,7 +49,7 @@ ...
bash
d_bash_2845
--- +++ @@ -4,10 +4,10 @@ PWD=`pwd` DIR=`basename $PWD` -anaconda-build trigger moble/${DIR} +# anaconda-build trigger moble/${DIR} export CONDA_NPY=19 -CONDA_PYs=( 27 34 ) +CONDA_PYs=( 27 34 35 ) for CONDA_PY in "${CONDA_PYs[@]}" do
bash
d_bash_2846
--- +++ @@ -4,4 +4,8 @@ # # @author kazuakiM #-------------------------------- -"/cygdrive/c/usr/local/bin/Vim/gvim.exe" $(cygpath -aw $*) & +if [ $# -eq 1 ]; then + "/cygdrive/c/usr/local/bin/Vim/gvim.exe" $(cygpath -aw $*) & +else + "/cygdrive/c/usr/local/bin/Vim/gvim.exe" & +fi
bash
d_bash_2847
--- +++ @@ -3,4 +3,4 @@ #classifier="weka.classifiers.bayes.NaiveBayesMultinomial" classifier="weka.classifiers.functions.SMO" -java -cp ~/Downloads/weka-3-8-0/weka.jar $classifier -t $1 -T spam_test.arff # > "$1_results.txt" +java -cp ~/Downloads/weka-3-8-0/weka.jar $classifier -t $1 -T spam_test.arff -v -o # > ...
bash
d_bash_2848
--- +++ @@ -1,6 +1,6 @@ #!/bin/sh -binpath=$(dirname "$(readlink -f $0)") -appname=$(basename $0 .sh) +binpath=$(dirname "$(readlink -f "$0")") +appname=$(basename "$0" .sh) export LD_LIBRARY_PATH="$binpath/bin":"$binpath/bin/plugins":$LD_LIBRARY_PATH cd "$binpath/bin" ./$appname $*
bash
d_bash_2849
--- +++ @@ -1,3 +1,4 @@ alias reload!='. ~/.zshrc' alias cls='clear' # Good 'ol Clear Screen command +alias bu='brew update && brew upgrade --all && brew cleanup'
bash
d_bash_2850
--- +++ @@ -29,5 +29,5 @@ # get libsndfile 1.0.26, build and install wget http://www.mega-nerd.com/libsndfile/files/libsndfile-1.0.27.tar.gz tar -xzf libsndfile-1.0.27.tar.gz -cd libsndfile-1.0.27.tar.gz +cd libsndfile-1.0.27 ./configure --libdir=/usr/lib/x86_64-linux-gnu && make && make install
bash
d_bash_2851
--- +++ @@ -1 +1,5 @@ export ERL_AFLAGS="-kernel shell_history enabled" + +if [ -f $HOME/.cache/rebar3/bin ]; then + export PATH=$HOME/.cache/rebar3/bin +fi
bash
d_bash_2852
--- +++ @@ -1,6 +1,6 @@ #!/usr/bin/env bash -set -o -x errexit +set -e -o -x errexit pushd cookbooks/mailcow bundle install
bash
d_bash_2853
--- +++ @@ -1,7 +1,7 @@ # Run in terminal with: sh build.sh cd docs/ -ipython nbconvert --to rst ../examples/*.ipynb +jupyter nbconvert --to rst ../examples/*.ipynb make html
bash
d_bash_2854
--- +++ @@ -1,7 +1,20 @@ +#!/bin/bash + +NAME=run-portainer + +if [ "$(docker ps -q -f name=$NAME)" ]; then + read -p "alread running container $NAME, stop this (yes|no): " yesno + if [ "$yesno" = "yes" ]; then + echo "stop container" + docker stop $NAME + fi + exit 0 +fi + docker run \ --rm \ -d \ ...
bash
d_bash_2855
--- +++ @@ -14,6 +14,7 @@ alias ls='ls -Gh' alias subs='filebot -get-subtitles' +alias mou='open -a Mou' alias subl='Open -a "Sublime Text 2"' # ZMV
bash
d_bash_2856
--- +++ @@ -15,7 +15,8 @@ # Set up the right Python version echo "Installing Python $PYTHON_VERSION" -conda install -y -q python=$PYTHON_VERSION +conda create -y -n conda_env python=$PYTHON_VERSION +source activate conda_env # Install dependencies echo "Installing dependencies."
bash
d_bash_2857
--- +++ @@ -12,8 +12,7 @@ # Project folder alias so we can `c [tab]` to it. setopt AUTO_CD # auto cd by typing the path. -projects="${HOME}/Projects" -alias p='cs ${HOME}/Projects/' +projects="${HOME}/Projects"  # reload zsh alias reload='. $HOME/.zshrc'
bash
d_bash_2858
--- +++ @@ -4,3 +4,5 @@ # git clone https://github.com/tmux-plugins/tpm ~/.tmux/plugins/tpm + +exit 0
bash
d_bash_2859
--- +++ @@ -1,6 +1,6 @@ #!/bin/bash cd `dirname $0` -find . -name "*Runner.fsx" | xargs -L1 -P8 -t fsharpi --exec +find . -name "*Runner.fsx" | xargs -L1 -P1 -t fsharpi --exec find . -name "*.txt" | xargs perl -p -i -e "s/\/.*FSharp.AutoComplete\/test\/(.*)/<absolute path removed>\/test\/\$1/" git status .
bash
d_bash_2860
--- +++ @@ -1,15 +1,22 @@ #!/bin/bash export PATH=$PATH:/usr/local/bin + +# Run from git project root. cd `git rev-parse --show-toplevel` +# Check we're on current version of Xcode. +xcodebuild -version | grep "Xcode 7.2" > /dev/null || { echo 'Not running Xcode 7.2' ; exit 1; } + +# Update brew, carthage and ...
bash
d_bash_2861
--- +++ @@ -1,9 +1,5 @@ #!/bin/sh set -e - -if [ "$APP_ENV" != 'prod' ]; then - ln -sf ${PHP_INI_DIR}/php.ini-development ${PHP_INI_DIR}/php.ini -fi # first arg is `-f` or `--some-option` if [ "${1#-}" != "$1" ]; then @@ -16,6 +12,7 @@ setfacl -dR -m u:www-data:rwX -m u:"$(whoami)":rwX var if [ "$APP_ENV"...
bash
d_bash_2862
--- +++ @@ -28,6 +28,7 @@ echo echo "### Generating RST from Markdown" +mkdir -p build pandoc --from=markdown --to=rst --output=build/README.rst README.md echo
bash
d_bash_2863
--- +++ @@ -10,12 +10,24 @@ for i in '1' '2' '3'; do if [ ${i} = '1' ]; then - create_machine_with_simple_weave_setup \ - "${MACHINE_NAME_PREFIX}" "${i}" "--swarm-master ${swarm_flags}" + $DOCKER_MACHINE_CREATE \ + ${swarm_flags} \ + --swarm-master \ + "${MACHINE_NAME_PREFIX}-${i}" ...
bash
d_bash_2864
--- +++ @@ -1,5 +1,13 @@ #!/usr/bin/env bash cd "$(dirname "$0")" + +python -m py_compile $(find . -name '*.py'); +if [ "$?" != "0" ] +then + echo "There is syntax error. This may endanger chaos. Pauses updates." + exit +fi + for file in startup.d/*; do [[ -f "$file" && -x "$file" ]] && "$file" done
bash
d_bash_2865
--- +++ @@ -1,9 +1,21 @@ -#!/bin/sh +#!/bin/bash # Remove pdb uses -sed -i '/.*import pdb/d' $1 -sed -i '/.*pdb.set_trace/d' $1 +if grep -q "import .*pdb" $1; then + sed -i '/.*import .*pdb/d' $1 +fi +if grep -q "pdb.set_trace" $1; then + sed -i '/.*pdb.set_trace/d' $1 +fi -isort $1 -black $1 +# Get rid ...
bash
d_bash_2866
--- +++ @@ -5,6 +5,7 @@ mkdir "$RC_DB_SQLITE_FOLDER" sqlite3 "$RC_DB_SQLITE_PATH" < "$RC_PATH/SQL/sqlite.initial.sql" +sqlite3 "$RC_DB_SQLITE_PATH" < "$RC_PATH/plugins/carddav/dbinit/sqlite3" if [ $? -ne 0 ]; then exit 1
bash
d_bash_2867
--- +++ @@ -9,7 +9,7 @@ cp -L .libs/libvterm.so $ROOT/deps/libvterm cd $ROOT/deps git add libvterm/libvterm.so -git commit libvterm -m "Add libvterm.so +git commit libvterm -m "Update libvterm.so bzr head:
bash
d_bash_2868
--- +++ @@ -1,14 +1,6 @@ #/usr/bin/env bash -# Binaries - -XCRUN=$(which xcrun) -XCPRETTY=$(which xcpretty) -MKDIR=$(which mkdir) -RM=$(which rm) - # Project / Folders - DERIVED_DATA_FOLDER=DerivedData PROJECT_FILE=Revert.xcodeproj SCHEME=Revert @@ -17,13 +9,13 @@ echo 'Cleaning Devived Data Folder...' -$...
bash
d_bash_2869
--- +++ @@ -28,5 +28,5 @@ alias shell="python manage.py shell" alias sqlall="python manage.py sqlall" alias startapp="python manage.py startapp" -alias syncdb="python manage.py syncdb" +alias syncdb="python manage.py syncdb --no-initial-data" alias validate="python manage.py validate"
bash
d_bash_2870
--- +++ @@ -13,7 +13,7 @@ chown -R vagrant:vagrant /home/vagrant/.ssh # Customize the message of the day -echo 'Welcome to your Vagrant-built virtual machine.' > /var/run/motd +echo 'Welcome to your Vagrant-built virtual machine.' > /etc/motd # Install NFS client apt-get -y install nfs-common
bash
d_bash_2871
--- +++ @@ -31,9 +31,9 @@ } function basic { - cd ~/.vim_runtime + cd ~/.vim/runtime - cat ~/.vim_runtime/vimrcs/basic.vim > ~/.vimrc + cat ~/.vim/runtime/vimrcs/basic.vim > ~/.vimrc echo "Basic Vim configurations has been installed." exit 0;
bash
d_bash_2872
--- +++ @@ -8,8 +8,11 @@ if [ ! -d "$HOME/repos/dotfiles" ]; then echo 'Cloning jimmay5469/dotfiles' - git clone git@github.com:jimmay5469/dotfiles.git --origin jimmay5469 + git clone https://github.com/jimmay5469/dotfiles.git --origin jimmay5469 + cd dotfiles + git remote set-url --push jimmay5469 git@gith...
bash
d_bash_2873
--- +++ @@ -1,12 +1,23 @@ #!/usr/bin/env bash set -eo pipefail -scriptDir=$(dirname $0) +scriptDir=$(readlink -f $(dirname $0)) -echo "Running tests from: $dir" -for dir in dirs; do - for tape in syntax/tutorial/*/*.tape; do - echo "Running test: $dir" - $scriptDir/ducttape $tape -y purge '*' '*'...
bash
d_bash_2874
--- +++ @@ -1,7 +1,7 @@ #!/bin/bash LIBRARIES="CogLCD aJson PubNub Temboo MQTTClient PubSubClient OPT3001 M2XStreamClient" -ARCHES="msp430 lm4f cc3200 msp432" +ARCHES="msp430 lm4f cc3200 msp432 cc3200emt" OSTYPE=`uname` if [[ "$OSTYPE" == "Linux" ]]; then
bash
d_bash_2875
--- +++ @@ -7,5 +7,10 @@ TESTRARGS=$1 -python setup.py testr --slowest --testr-args="--subunit $TESTRARGS" | subunit-trace -f - +python setup.py testr --testr-args="--subunit $TESTRARGS" | subunit-trace -f +retval=$? +# NOTE(mtreinish) The pipe above would eat the slowest display from pbr's testr +# wrapper so j...
bash
d_bash_2876
--- +++ @@ -22,13 +22,13 @@ pip install -r requirements.txt -echo "secure vars? $TRAVIS_SECURE_ENV_VARS" echo "travis PR: $TRAVIS_PULL_REQUEST" -echo "bc: $BOTCLOUSEAU" -echo "$Revs: $REVS" echo "Range: $TRAVIS_COMMIT_RANGE" echo "Commit: $TRAVIS_COMMIT" + # Run clouseau echo "Running Clouseau" ./bin/clo...
bash
d_bash_2877
--- +++ @@ -1,4 +1,4 @@ #!/bin/bash -docker run -e "NODEJS_VERSION=${1}" -v `pwd`:/srv carto/nodejs-xenial-pg101:latest bash test/run_tests_docker.sh && \ +docker run -e "NODEJS_VERSION=${1}" -v `pwd`:/srv carto/nodejs-xenial-pg1121:latest bash test/run_tests_docker.sh && \ docker ps --filter status=dead --fi...
bash
d_bash_2878
--- +++ @@ -15,15 +15,15 @@ autoload -U compinit compinit -i -# Load all of your custom configurations from custom/ -for config_file ($ZSH/custom/*.zsh) source $config_file - # Load all of the plugins that were defined in ~/.zshrc for plugin ($plugins); do if [ -f $ZSH/plugins/$plugin/$plugin.plugin.zsh ]; t...
bash
d_bash_2879
--- +++ @@ -1,6 +1,12 @@ #!/bin/bash set -e -apt update +apt-get update -apt install nuget -y +apt-get install fontconfig nuget -y + +git clone https://github.com/ImageMagick/msttcorefonts msttcorefonts +cd msttcorefonts +. ./install.sh + +fc-cache
bash
d_bash_2880
--- +++ @@ -35,7 +35,8 @@ trap "fail" 1 2 3 15 export LD_LIBRARY_PATH=/usr/local/lib:$LD_LIBRARY_PATH - +Xvfb :0& +export DISPLAY=:0 $here/test/testCairo $here/test/testCairo.tcl if test $? -ne 0; then fail; fi
bash
d_bash_2881
--- +++ @@ -1,4 +1,4 @@ -#!/usr/bin bash +#!/usr/bin/env bash if [ -z $PLATFORM ]; then echo "PLATFORM must be set."
bash
d_bash_2882
--- +++ @@ -22,8 +22,7 @@ echo "**************** Copying assets files to build directory ****************" cp -R ../build lib/ -echo "**************** Versioning ****************" -bundle exec rake version\["$PACKAGE_VERSION"\] +perl -pi -e "s/\"octicons\", \"[^\"]+\"/\"octicons\", \"${PACKAGE_VERSION}\"/" ./Gemf...
bash
d_bash_2883
--- +++ @@ -1,7 +1,7 @@ #!/bin/bash -mkdir repos -cd repos +mkdir ~/repos +cd ~/repos mkdir git cd git git clone https://github.com/michaelachrisco/subreddit-recommender.git
bash
d_bash_2884
--- +++ @@ -6,24 +6,36 @@ #=============================================================================== args=("$@") +# check if config file is readable +[ ! -r /etc/secureserver/agent.config ] && exit 1 + +# get keys from agent config file +config_keys=$(grep '^[a-z].*' /etc/secureserver/agent.config | cut -d=...
bash
d_bash_2885
--- +++ @@ -3,10 +3,12 @@ # # Almost a copy from script used in this post: # https://blog.docker.com/2013/06/create-light-weight-docker-containers-buildroot/ -[ -f $1 ] || { +set -e + +if [ "$#" -ne 1 ] || [ ! -f $1 ]; then echo "Provide path to a root filesystem." exit 1 -} +fi rm -rf /tmp/extra
bash
d_bash_2886
--- +++ @@ -1,4 +1,4 @@ source $HOME/.nvm/nvm.sh -nvm install 0.11 -nvm alias default 0.11 -(cd ~/.dotfiles/node; npm install -g) +nvm install 0.12 +nvm alias default $(nvm current) +(cd $HOME/.dotfiles/node && npm install -g)
bash
d_bash_2887
--- +++ @@ -7,6 +7,8 @@ export POWERLINE_HOME=/usr/local/lib/python2.7/site-packages/powerline export POWERLINE_CONFIG_PATHS=( ~/.powerline ) +export DEFAULT_USER="phatblat" + # Powerline powerline-daemon -q . ${POWERLINE_HOME}/bindings/zsh/powerline.zsh
bash
d_bash_2888
--- +++ @@ -3,7 +3,7 @@ if [[ "$expectedTemplateDir" != "$configuredTemplateDir" ]]; then if [[ -z "$configuredTemplateDir" ]]; then - echo "You have non Git template dir configured." + echo "You have no Git template dir configured." else echo "The Goodie git template dir is: $expe...
bash
d_bash_2889
--- +++ @@ -12,6 +12,7 @@ grep -e model -e baseline | \ grep .py | \ grep -v topoml_util | \ + grep -v baseline | \ grep -v png \ )" echo ${CHANGED_MODEL_FILES}
bash
d_bash_2890
--- +++ @@ -5,4 +5,4 @@ git_download paramcoq -( cd "${CI_BUILD_DIR}/paramcoq" && make && make install ) +( cd "${CI_BUILD_DIR}/paramcoq" && make && make install && cd test-suite && make examples)
bash
d_bash_2891
--- +++ @@ -2,14 +2,14 @@ set -e -if [[ -e 'bin/activate' ]]; then +if [[ -e 'bugle_project_ve' ]]; then echo "Looks like you've already got a virtualenv here." echo "I'm not going to mess with it." exit 1 fi echo "Setting up virtualenv" -virtualenv . +virtualenv bugle_project_ve echo "Instal...
bash
d_bash_2892
--- +++ @@ -1,5 +1,5 @@ #! /bin/sh -AM_VERSION=-1.14 +AM_VERSION=-`automake --version | head -n 1 | awk '{ print $NF }'` AC_VERSION= set -x
bash
d_bash_2893
--- +++ @@ -18,13 +18,7 @@ echo "Local doesn't need special preparations for e2e tests" 1>&2 } -# Must ensure that the following ENV vars are set function detect-master { - export KUBE_MASTER_IP="127.0.0.1" - export KUBE_MASTER="localhost" -} - -detect-master() { KUBE_MASTER=localhost KUBE_MASTER_IP=12...
bash
d_bash_2894
--- +++ @@ -1,3 +1,3 @@ -export DOCKER_IMAGES_VERSION=${DOCKER_IMAGES_VERSION:-20} +export DOCKER_IMAGES_VERSION=${DOCKER_IMAGES_VERSION:-21} export TESTS_HIVE_VERSION_MAJOR=${TESTS_HIVE_VERSION_MAJOR:-1} export HADOOP_BASE_IMAGE=${HADOOP_BASE_IMAGE:-"prestodev/hdp2.6-hive"}
bash
d_bash_2895
--- +++ @@ -7,5 +7,5 @@ echo "Hostname: $(hostname)" | tee --append /home/admin/back.txt # Grab setup scripts for solr and fedora -wget https://s3.amazonaws.com/grosscol-hydra-scripts/setup-deb-fedora -O /home/admin/fedora-setup.sh -wget https://s3.amazonaws.com/grosscol-hydra-scripts/setup-deb-solr -O /home/admi...
bash
d_bash_2896
--- +++ @@ -4,7 +4,7 @@ vmware-iso|vmware-vmx) apt-get install -y open-vm-tools; mkdir /mnt/hgfs; - systemctl enable vmtoolsd - systemctl start vmtoolsd + systemctl enable open-vm-tools + systemctl start open-vm-tools echo "platform specific vmware.sh executed"; esac
bash
d_bash_2897
--- +++ @@ -6,6 +6,5 @@ # Make sure that we only install the files we expect. -cd .. -make install DESTDIR=test_install -diff install_manifest.txt "${CURRENT_SOURCE_DIR}/install_manifest.txt" +make -C .. install DESTDIR=test_install +diff -b ../install_manifest.txt "${CURRENT_SOURCE_DIR}/install_manifest.txt"
bash
d_bash_2898
--- +++ @@ -1,4 +1,5 @@ #!/bin/sh /opt/data/tools/wait-container.sh $REGISTRY_NAME -/opt/data/tools/register-service.sh $REGISTRY_NAME 5000 +PORT=`docker port $REGISTRY_NAME 5000 | awk -F : '{print $2}'` +/opt/data/tools/register-service.sh $REGISTRY_NAME $PORT
bash
d_bash_2899
--- +++ @@ -16,6 +16,12 @@ fi fi +if [ -z "$LOGBACK_CANTARA_LEVEL" ]; then + sed -i -e "s/{$LOGBACK_CANTARA_LEVEL}/info/g" config_override/logback-default.xml +else + sed -i -e "s/{$LOGBACK_CANTARA_LEVEL}/$LOGBACK_CANTARA_LEVEL/g" config_override/logback-default.xml +fi + set +x java $JAVA_PARAMS $J...
bash